Bug 1445892 - [Ansible Embedded] - Extra variables can be deleted but form cannot be saved
Summary: [Ansible Embedded] - Extra variables can be deleted but form cannot be saved
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard: ansible_embed:ui
Depends On: 1444831
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-26 17:38 UTC by Satoe Imaishi
Modified: 2017-05-31 15:01 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1444831
Environment:
Last Closed: 2017-05-31 15:01:41 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-26 21:12:57 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/7dbea462c1ba8c5f8b2dd1e8b96fb44e6d86e447

commit 7dbea462c1ba8c5f8b2dd1e8b96fb44e6d86e447
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue Apr 25 08:44:16 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 26 17:11:09 2017 -0400

    Merge pull request #1146 from h-kataria/extra_vars_edit_fix
    
    Check whether form is pristine after deleting extra var during edit
    (cherry picked from commit 969739e1bdf967013eef014c4e8e35c18c1f5bdc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445892

 .../javascripts/controllers/catalog/catalog_item_form_controller.js      | 1 +
 1 file changed, 1 insertion(+)

Comment 3 Shveta 2017-05-09 22:24:58 UTC
Fixed in 5.8.0.13-rc2.20170502165848_0f98658

Comment 5 errata-xmlrpc 2017-05-31 15:01:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.